Bug 717583 - hivex fails to parse W2K3 x64 hive, returning ENOTSUP because ri-record offset does not point to lf/lh
hivex fails to parse W2K3 x64 hive, returning ENOTSUP because ri-record offse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hivex (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 841924
  Show dependency treegraph
 
Reported: 2011-06-29 05:58 EDT by Richard W.M. Jones
Modified: 2013-08-03 19:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: hivex-1.3.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 841924 (view as bug list)
Environment:
Last Closed: 2013-07-25 18:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2011-06-29 05:58:12 EDT
Description of problem:

https://www.redhat.com/archives/libguestfs/2011-June/msg00135.html

I think this is a case of ri-record pointing to a second level
ri-record which we've never seen before, but I have not had
time to look into this in detail.

Version-Release number of selected component (if applicable):

hivex 1.2.7.

Steps to Reproduce:

See the software hive attached to the email message above.
Comment 1 Richard W.M. Jones 2012-03-08 13:10:47 EST
There is a potential fix, which needs review, posted upstream:
https://www.redhat.com/archives/libguestfs/2012-March/msg00035.html
Comment 2 Fedora End Of Life 2013-04-03 13:22:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Richard W.M. Jones 2013-07-23 09:26:23 EDT
The fix was added to hivex last year
(commit c29d2625c2286b026c4e36a8b5469991c41b4299)
although write support still doesn't work.

I have opened a separate bug about write support (bug 987463).

Therefore I am closing this bug.
Comment 4 Richard W.M. Jones 2013-07-25 06:40:00 EDT
19 part patch posted upstream:

https://www.redhat.com/archives/libguestfs/2013-July/thread.html#00026
Comment 5 Richard W.M. Jones 2013-07-25 18:34:30 EDT
This should be fixed in hivex 1.3.8 which is available here:
http://libguestfs.org/download/hivex/
and in Fedora Rawhide.
Comment 6 Fedora Update System 2013-07-26 04:46:52 EDT
hivex-1.3.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hivex-1.3.8-1.fc19
Comment 7 Fedora Update System 2013-08-03 19:59:37 EDT
hivex-1.3.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.